=head1 NAME

PDL::Delta - PDL changes between V1.0 and V2.0


=head1 DESCRIPTION

This file is an attempt to list the major user-visible changes
between PDL versions 1.0 and 2.0.


=head1 Core Changes

=head2 Piddles are not hashes any more:

    $a = zeroes 10,10;
    $$a{FOO} = "bar"

doesn't work. They are currently scalar references (to opaque
C structures in finer terms) because of speed as well as
syntactic issues. If you want to have a hash, use

    $a->hdr()

which returns a reference to an anonymous hash. Also,
subclassing works if you store a piddle in the hash member ``PDL''.

There are also many core enhancements to support Dataflow and
Slicing tricks, but these do not introduce any incompatibilities.

=head2 Incompatible Changes vs 1.11

=over 4

=item rgrep

Order of the arguments has changed.

=item copy method

No longer copies the header. This may not be a misfeature.

=back

=head1 Documentation Changes

Many of the base and library pods were updated.

=head1 SEE ALSO

The F<Changes> file for exhaustive details on what changed.

The F<INSTALL> file for how to build PDL.

The F<README> file for general stuff.

=head1 HISTORY

pdldelta was inspired by I<perldelta>  man page in the Perl
5.004 distribution.



